package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 用户管理
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-27
 */
@TableName("sys_user")
open class SysUser : BaseModel() {
    /**
     * 登陆帐户
     */
    var account: String? = null
    /**
     * 姓名
     */
    var username: String? = null
    /**
     * 密码
     */
    var password: String? = null
    /**
     * 密码盐值
     */
    var salt: String? = null
    /**
     * 电话
     */
    var phone: String? = null
    /**
     * 邮箱
     */
    var email: String? = null
    /**
     * 职位
     */
    var position: String? = null
    /**
     * 详细地址
     */
    var address: String? = null
    /**
     * 工号
     */
    var staffNo: String? = null
    /**
     * 账号锁定（1.锁定；0.不锁定；）
     */
    var lock: Boolean? = null
    /**
     * 备用字段
     */
    var ext1: String? = null
    /**
     * 备用字段
     */
    var ext2: String? = null
    /**
     * 备用字段
     */
    var ext3: String? = null
    /**
     * 备用字段
     */
    var ext4: String? = null
    /**
     * 性别，定义 1：男 0：女 -1：保密
     */
    var gender: Int? = null
}