package com.gxzc.zen.api.sys.service.impl

import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.baomidou.mybatisplus.service.impl.ServiceImpl
import com.gxzc.zen.api.sys.mapper.SysMenuRoleMapper
import com.gxzc.zen.api.sys.model.SysMenuRole
import com.gxzc.zen.api.sys.service.ISysMenuRoleService
import org.springframework.stereotype.Service

/**
 * <p>
 * 用户菜单表 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@Service
class SysMenuRoleServiceImpl : ServiceImpl<SysMenuRoleMapper, SysMenuRole>(), ISysMenuRoleService {

    override fun removeByMenuId(menuId: Long) {
        val condition = SysMenuRole().apply {
            this.menuId = menuId
        }
        baseMapper.physicalDelete(EntityWrapper(condition))
    }

}
